package com.mexico.inloancash.bean;

public class IddDataOCRInfo {
    public String code;
    public DataBean data;
    public Object extra;
    public String message;
    public String pricingStrategy;
    public String transactionId;

    public static class DataBean {
        public String cardType;
        public ValuesBean values;

        public static class ValuesBean {
            public String birthday;
            public String gender;
            public String idNumber;
            public String name;

            public String getBirthday() {
                return this.birthday;
            }

            public String getGender() {
                return this.gender;
            }

            public String getIdNumber() {
                return this.idNumber;
            }

            public String getName() {
                return this.name;
            }

            public void setBirthday(String str) {
                this.birthday = str;
            }

            public void setGender(String str) {
                this.gender = str;
            }

            public void setIdNumber(String str) {
                this.idNumber = str;
            }

            public void setName(String str) {
                this.name = str;
            }
        }

        public String getCardType() {
            return this.cardType;
        }

        public ValuesBean getValues() {
            return this.values;
        }

        public void setCardType(String str) {
            this.cardType = str;
        }

        public void setValues(ValuesBean valuesBean) {
            this.values = valuesBean;
        }
    }

    public String getCode() {
        return this.code;
    }

    public DataBean getData() {
        return this.data;
    }

    public Object getExtra() {
        return this.extra;
    }

    public String getMessage() {
        return this.message;
    }

    public String getPricingStrategy() {
        return this.pricingStrategy;
    }

    public String getTransactionId() {
        return this.transactionId;
    }

    public void setCode(String str) {
        this.code = str;
    }

    public void setData(DataBean dataBean) {
        this.data = dataBean;
    }

    public void setExtra(Object obj) {
        this.extra = obj;
    }

    public void setMessage(String str) {
        this.message = str;
    }

    public void setPricingStrategy(String str) {
        this.pricingStrategy = str;
    }

    public void setTransactionId(String str) {
        this.transactionId = str;
    }
}
